Bug 494668 - text files seen as binary in directory listings
text files seen as binary in directory listings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-07 14:13 EDT by Jesse Keating
Modified: 2013-01-09 22:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 18:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 509840 None None None Never

  None (edit)
Description Jesse Keating 2009-04-07 14:13:39 EDT
I'm looking at a directory listing of text files, eg http://kojipkgs.fedoraproject.org/mash/rawhide-20090407/logs/ Every file there is text, but after clicking on a few, firefox will begin to think that they are binary and offer to download them rather than display them.  Seems randomish and not related to any particular name or content.

I've been seeing this issue for years, finally getting around to filing a bug about it.
Comment 1 Matěj Cepl 2009-04-10 03:52:57 EDT
Hmm, WORKSFORME with firefox-3.1-0.11.beta3.fc11.x86_64. Any ideas how to reproduce it here?
Comment 2 Jesse Keating 2009-04-10 11:30:50 EDT
Try clicking the pungify log files a few times.  And try different dates for the logs url.  Chris Aillon was able to reproduce when I talked with him on IRC about it.
Comment 3 Christopher Aillon 2009-04-10 16:57:10 EDT
Click, go back, click -> should reproduce.  If not, click a different link.
Comment 4 Matěj Cepl 2009-04-29 17:59:10 EDT
Yeah, this way I can reproduce it, but the weird thing is that when trying to follow the chatter with firebug and httpfox, I get no (like none) headers on the HTTP response. Is it firefox being screwed up already or does that server really does something weird?
Comment 5 Matěj Cepl 2009-04-29 17:59:55 EDT
Anyway, IMHO it deserves our attention and we have nice reproducer. ASSIGNED.
Comment 6 Bug Zapper 2009-06-09 09:26:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Martin Stransky 2009-06-26 10:06:38 EDT
Yeah, it's really strange. Seamonkey works fine there but firefox tries to download the files as binary. And a file is displayed, firefox refuses go back to to previous page...strange.
Comment 9 Matěj Cepl 2009-08-11 18:40:13 EDT
I filed a new bug upstream for this (https://bugzilla.mozilla.org/show_bug.cgi?id=509840) but I have a suspicion that this might be actually a similar problem to https://bugzilla.mozilla.org/show_bug.cgi?id=290800 -- the files in question have *SOME* unprintable characters inside. But, if this is intentional, I would call Firefox's logic on this issue questionable.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.